/*Ŀ
    BFE - BBS Front End System - Developer's Kit                          
    Copyright 1993, Cairo Research Labs, All Rights Reserved.             
  Ĵ
    Revision: 2.00.0                                                      
  Ĵ
    Global bitmapped macros                                               
  */

//**************************************************************************
//            Global version macro - used in VID record structure
//**************************************************************************

#define VID_ID 150

//**************************************************************************
//    Bitmapped values to differentiate between BFE and BFE/Script calls
//**************************************************************************

#define BFE    0x00                             // These are used internally
#define SCRIPT 0x01                             // in BFE.  No use to you.

//**************************************************************************
//              Bitmapped values for the FLAVOR keyword
//**************************************************************************

#define NORMAL     0x00                         // Normal menu option
#define HIDDEN     0x01                         // Hidden menu option
#define SL_NORMAL  0x02                         // SlashCommand - Normal
#define SL_HIDDEN  0x04                         // SlashCommand - Hidden

//**************************************************************************
//               Bitmapped values for file transfers
//**************************************************************************

#define UPLOAD     0x00                         // Used internally in the
#define DOWNLOAD   0x01                         // File Transfer Engine.
#define PROMPTFILE 0x02                         // No use to you.
#define AUTORECOG  0x04

//**************************************************************************
//               Bitmapped values for error handling
//**************************************************************************

#define NO_ERROR 0x00                           // More internal goodies
#define ERROR    0x01

//**************************************************************************
//               Bitmapped values for Portspeed Handling
//**************************************************************************

#define TRUESPEED   0x00                        // Pass TRUE port speed
#define LOCKEDSPEED 0x01                        // Pass LOCKED port speed

//**************************************************************************
//                   Bitmapped values for Passparms 
//**************************************************************************

#define PASSPARMS   0x00                        // Pass communication parms
#define NOPASSPARMS 0x01                        // Do *not* pass them!

//**************************************************************************
//                   Bitmapped values for CreateDropfile
//**************************************************************************

#define CD_NONE     0x00                        // Don't generate a dropfile
#define CD_DORINFO  0x01                        // Generate DORINFO?.DEF
#define CD_DOORSYS  0x02                        // Generate DOOR.SYS (WC/GAP)
#define CD_SFDOORS  0x04                        // Generate SFDOORS.DAT

//**************************************************************************
//                   Bitmapped values for BBS Personalities
//**************************************************************************

#define PERS_DEF    0x00                        // Default personality
#define PERS_RA2    0x01                        // RemoteAccess v2.x
#define PERS_WC     0x02                        // WildCat!

//**************************************************************************
//                   Bitmapped values for SETUP.UserSystem
//**************************************************************************

#define USYS_NONE   0x00                        // Do not use the user system
#define USYS_PART   0x01                        // Partially, no userfile
#define USYS_FULL   0x02                        // Full fledged user system

//**************************************************************************
//                   Bitmapped values for SETUP.GraphicsDetect
//**************************************************************************

#define GDET_NONE   0x00                        // Don't detect graphics
#define GDET_ANSI   0x01                        // Detect ANSI mode
#define GDET_RIP    0x02                        // Detect RIP mode

//**************************************************************************
//                   Bitmapped values for SETUP.swapinfo
//**************************************************************************

#define BFE_SWAP_NONE   0x00                    // Don't swap at all!
#define BFE_SWAP_NOEMS  0x01                    // Swap without using EMS
#define BFE_SWAP_FULL   0x02                    // Full swapping enabled
